A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Types | Static Public Member Functions
dtype_traits< char > Struct Reference

`#include <traits.hpp>`

## Public Types
enum | { af_type = b8 , ctype = f32 }
typedef char | base_type

## Static Public Member Functions
static const char * | getName ()

## Detailed Description

Definition at line 84 of file traits.hpp.

## Member Typedef Documentation

## ◆ base_type

typedef char base_type

Definition at line 89 of file traits.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
af_type |
ctype |

Definition at line 85 of file traits.hpp.

85 {
86 af_type = b8 ,
87 ctype = f32
88 };
b8
@ b8
8-bit boolean values
Definition defines.h:215
f32
@ f32
32-bit floating point values
Definition defines.h:211
af::dtype_traits< char >::af_type
@ af_type
Definition traits.hpp:86
af::dtype_traits< char >::ctype
@ ctype
Definition traits.hpp:87

## Member Function Documentation

## ◆ getName()

static const char * getName | ( |  | ) |
| inline static

Definition at line 90 of file traits.hpp.

90{ return "char"; }

The documentation for this struct was generated from the following file:

- traits.hpp